Get key rotation status (aggregated per network)
GET
/v1/wallet/keys/rotate/{taskId}
const url = 'https://api.parasta.io/v1/wallet/keys/rotate/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.parasta.io/v1/wallet/keys/rotate/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” taskId
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
taskId
string
status
string
networks
Array<object>
object
networkId
string
status
string
txHash
string
error
string
retryable
boolean
Example
{ "status": "processing", "networks": [ { "status": "completed" } ]}Headers
Section titled “Headers ” Retry-After
integer
Recommended polling interval (seconds).